using Godot;

namespace Cirno.Scripts.Resources.Events;

[GlobalClass]
public partial class CameraTargetPlayerEvent : EventResource
{
    protected bool _isComplete = false;
    
    public override void Init(Node2D parent)
    {
        
    }
    
    public override void Start(Node2D parent)
    {
        GameManager.Instance.CameraTargetPlayer();
        _isComplete = true;
    }
    
    public override void UpdateEvent(double delta)
    {
        
    }

    public override bool IsComplete()
    {
        return _isComplete;
    }
}